<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@autor			juan.agudelo
@description 	página principal 
@version 		2.0
CU:  			CU-CO-V-09 - Registrar notificación 

@modified pedro.garcia
    se corrigieron muchos errores del autor
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Registro de notificación o Renuncia a la apelación::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:focus />
        <p:spacer height="20" width="0" />

        <h:panelGrid>

            <p:fieldset>
                <legend>
                    <h:outputText value="Criterios de búsqueda"
                                  styleClass="legendTitle" />
                </legend>

                <ui:include src="registroNotificacionBusqueda.xhtml" />
            </p:fieldset>

            <ui:include src="registroNotificacionDatos.xhtml" />

            <h:form>

                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis,:registroNDatosForm"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{registroNotificacion.cerrarVentanaCU}" ajax="false"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>
                <p:spacer height="20" width="0" />

            </h:form>

        </h:panelGrid>

        <p:dialog header="Detalle de la solicitud"
                  id="detalleSolicitudEjecutarId"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960" dynamic="true">
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960"
                  dynamic="true">
            <ui:include
                src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="1024">
            <ui:include src="/conservacion/consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <p:dialog header="Listado de propietarios" dynamic="true"
                  widgetVar="listaPropietariosWV" resizable="true" showEffect="fade"
                  maximizable="true" hideEffect="explode" modal="true" height="400"
                  width="700" appendToBody="true" id="listaPropietarios">

            <h:form id="listaPropietariosForm">

                <p:spacer width="10" height="10" />

                <p:dataTable var="personaPredio"
                             selection="#{registroNotificacion.personaSeleccionada}"
                             value="#{registroNotificacion.ppersonasAux}"
                             rowKey="#{personaPredio.id}"
                             paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="10,15,20" paginatorPosition="bottom"
                             emptyMessage="No existen propietarios o poseedores.">

                    <p:column selectionMode="single" style="width:18px" />

                    <p:column headerText="Tipo identificación">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.tipoIdentificacion}" />
                    </p:column>

                    <p:column headerText="No. identificación">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.numeroIdentificacion}" />
                    </p:column>

                    <p:column headerText="DV">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.digitoVerificacion}" />
                    </p:column>

                    <p:column headerText="Nombre o razón social">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.nombre}" />
                    </p:column>

                    <p:column headerText="Sigla">
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{personaPredio.sigla}" />
                    </p:column>

                </p:dataTable>

                <p:spacer width="10" height="10" />

                <h:panelGrid columns="2" style="text-align:left">
                    <p:commandButton icon="ui-icon-check" value="Aceptar"
                                     title="Aceptar"
                                     update=":registroNotifDatosNotificadoForm:msgsNotificado,
                                     :registroNotifDatosNotificadoForm, 
                                     :registrarNotificacionForm:datosTramitePanel"
                                     action="#{registroNotificacion.aceptarSeleccion}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide(); listaPropietariosWV.hide();">
                    </p:commandButton>
                    <p:commandButton icon="ui-icon-close" value="Cancelar"
                                     title="Cancelar" onclick="listaPropietariosWV.hide();">
                    </p:commandButton>

                </h:panelGrid>
            </h:form>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{registroNotificacion.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar"/>

        <misc:confirmationDialogWithOutputMessageCC id="mensajeConfirmacion"
                                                    confirmationMessage="#{registroNotificacion.mensajeTramiteNoAptoNotificar}"
                                                    confirmUpdate="confirmationDialogCCForm"
                                                    confirmAction="#{registroNotificacion.aceptarNoNotificar}"
                                                    confirmDialogWV="confirmationNoAptoWV" ajaxBehavior="true"
                                                    noRendered="false" yesLabel="Aceptar" />

        <misc:docViewerWithCloseDecisionCC id="docVDocSoporte"
                                           confirmMessage="#{previsualizacionDocumento}" confirmUpdate=":msgsRN"
                                           confirmAction="#{previsualizacionDocumento.cerrarVistaPreliminarDocumento}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           confirmDialogWV="docViewerDSWV" ajaxBehavior="true"
                                           noRendered="false" yesLabel="Aceptar"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           doctypeAtt="#{previsualizacionDocumento.tipoMimeDocumento}"
                                           noAction="#{previsualizacionDocumento.cerrarDocumentoTemporalPrev}"
                                           headerLabel="Previsualización de documento " />

        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            nombreDialogo="Documento de notificación"
            urlDocumento="#{registroNotificacion.reporteDiligenciaNotificacionPersonal.urlWebReporte}"
            fileContent="#{registroNotificacion.reporteDiligenciaNotificacionPersonal.streamedContentReporte}"
            documentoGenerado="#{registroNotificacion.reporteDiligenciaNotificacionPersonal ne null}"
            radicarButtonVisible="false"
            radicarButtonEnabled="false"
            cancelButtonEnabled="false"
            cancelButtonVisible="false"/>

        <misc:ultimateConfirmDialogCC id="finalConfirmation"
                                      confirmMessage="#{registroNotificacion.mensajeConfirmationAvanzarProceso}"
                                      headerLabel="#{registroNotificacion.messageConfirmationForward}"
                                      useStringActionOnNo="false"
                                      useStringActionOnYes="true"
                                      actionOnNoIsClose="true"
                                      stringActionOnYes="#{registroNotificacion.moverProceso}"
                                      confirmDialogWV="forwardProcessConfirmationWV" />
        
        <misc:ultimateConfirmDialogCC id="asignarUsuarioRegistro"
                                      confirmMessage="#{registroNotificacion.mensajeConfirmationAsignacionRegistro}"
                                      headerLabel="#{registroNotificacion.messageConfirmationForward}"
                                      useStringActionOnNo="false"
                                      useStringActionOnYes="true"
                                      actionOnNoIsClose="true"
                                      confirmUpdateOnYes=":tramNotPPPnlGrid,:registroNDatosForm:msgsB,:registroNDatosForm:btnBuscar"
                                      stringActionOnYes="#{registroNotificacion.cargueInformacionRegistroNotificacion}"
                                      confirmDialogWV="confirmacionAsignacionTramiteWV" />

        <misc:visualizadorMemorandosCC
            id="viewResolucionWithMarkWater"
            thisWVName="viewResolucionWithMarkWaterWV"
            urlDocumento="#{registroNotificacion.reporteDocumentoWaterMark.urlWebReporte}"
            fileContent="#{registroNotificacion.reporteDocumentoWaterMark.streamedContentReporte}"
            documentoGenerado="#{registroNotificacion.reporteDocumentoWaterMark ne null}"
            radicarButtonVisible="false"
            cancelButtonEnabled="false"/>

    </ui:define>
</ui:composition>